Subject: Re: [PATCH] Revert "MAINTAINERS: Remove some entries due to various compliance requirements."

From: Yao Zi <[email-masked]>
Date: Wed, 23 Oct 2024 16:22:58 +0000

On Wed, Oct 23, 2024 at 04:09:34PM +0800, Kexy Biscuit wrote:
> Are the "compliance requirements" documented on docs.kernel.org? Who are
> responsible for them? Are all that are responsible employees of
> The Linux Foundation, which is regulated by the U.S. legislature?

These should be answered publicly, but IMHO too emotional to be included
in commit message.

As a newcoming contributor, I work on some ARM SoCs unpaid. It's really
a neat thing to write useful stuff for others, but this sort of removal
is weakening my and definitely others' trust to maintainers: people's
rights to maintain stuff written by themselves got removed silencely.
It doesn't sound like a good sign to me.

We need an explanation. The patch except the last paragraph looks good
to me.

Reviewed-by: Yao Zi <[email-masked]>